Kerbal Space Program - Bug #283

Camera views restricted when at negative altitudes

02/26/2013 12:28 PM - umbralraptor

Status: Closed Start date: 02/26/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.191 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

The external camera cannot be lowered below a planet/moon's datum altitude, but in some cases (eg: canyons on Eeloo), vehicles

and Kerbals can. This produces difficulty viewing these objects and possibly on landing.

To reproduce: land a craft in any valley below 0 altitude. A persistence file with a craft on Eeloo at 52A°13'47" N, 325A°22'5" W is

attached.

Related issues:

Related to Kerbal Space Program - Feedback #3569: Eva Camera in Gilly Orbit
Related to Kerbal Space Program - Feedback #3350: Topdown Camera Bug while la...

Related to Kerbal Space Program - Feedback #3389: Oribtal camera on kerbals o...

Has duplicate Kerbal Space Program - Bug #3614: Screen blacks out on Mun

Needs Clarificatib@5/2014
Needs Clarification

Needs Clarificati®@5/2014
Duplicate 11/29/2014

History

#1 - 03/27/2013 12:51 AM - Anonymous
- File screenshot8.png added

- File screenshot9.png added

- File screenshot10.png added

- File screenshot11.png added

- File screenshot12.png added

- File screenshot13.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Testing

Tested with a stock, nearly fresh install of .19.1, using the uploaded persistent.sfs.

Results

In my case, the camera operates normally until it reaches or is pushed below the body's 0 altitude. Upon reaching that point, the game appears to
treat the viewing area as though it is being occluded, effectively making it "night" on the surface. There were no lights on the given craft, so | could

not test if they correctly lit the surface. It occurred from any angle.

See attached.

#2 - 10/25/2013 05:14 PM - sr
- Version set to 0.19.1

- Platform Windows added

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 08/19/2015 01:04 AM - Squelch

04/20/2024

1/2




- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Version 1.0 introduced new camera dynamics that render this resolved.

#5 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
